ros-jazzy-ament-cmake-gmock (2.5.6-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 22 Feb 2026 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.5.5-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 12 Jan 2026 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.5.4-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 23 Apr 2025 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.5.3-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.5.2-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Jul 2024 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.5.1-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Jun 2024 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.5.0-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.4.0-2noble) noble; urgency=high

  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.3.2-2noble) noble; urgency=high

  * Split ament_add_gmock into _executable and _test. (#497 <https://github.com/ament/ament_cmake/issues/497>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.3.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.3.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.2.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.2.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 20 Jun 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.2.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.1.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.0.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.0.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (2.0.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.5.3-2noble) noble; urgency=high

  * Fix compiler warnings related to gtest/gmock (#408 <https://github.com/ament/ament_cmake/issues/408>)
    * Suppress compiler warnings when building gmock
    definition of implicit copy constructor ... is deprecated because it has a user-declared copy assignment operator [-Wdeprecated-copy]
    * Declare gtest/gmock include dirs as SYSTEM PRIVATE for test targets
  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash, Robert Haschke

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.5.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.5.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.5.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 10 Jul 2022 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.4.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.3.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.3.0-2noble) noble; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.2.1-2noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.2.0-2noble) noble; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Oct 2021 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.1.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.1.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Mar 2021 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.1.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 21:59:00 -0000

ros-jazzy-ament-cmake-gmock (1.1.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 18:12:00 -0000

ros-jazzy-ament-cmake-gmock (1.1.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Feb 2021 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.0.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.0.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.0.2-2noble) noble; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Dec 2020 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.0.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Sep 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (1.0.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 21 Jul 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.6-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.5-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 13:45:00 -0000

ros-jazzy-ament-cmake-gmock (0.9.0-2noble) noble; urgency=high

  * Don't pass FALSE value to ament_add_test when SKIP_TEST is not provided (#236 <https://github.com/ament/ament_cmake/issues/236>)
  * Contributors: Emerson Knapp

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 10:25:00 -0000

ros-jazzy-ament-cmake-gmock (0.8.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.8.0-2noble) noble; urgency=high

  * Revert "Add gtest and gmock headers as system headers: (#175 <https://github.com/ament/ament_cmake/issues/175>)" (#184 <https://github.com/ament/ament_cmake/issues/184>)
    This reverts commit e1ff1c1a0a1e08d43e939cdb943a88be601808bd.
  * Add gtest and gmock headers as system headers: (#175 <https://github.com/ament/ament_cmake/issues/175>)
    Certain gtest and gmock header files contain constructs
    which generate warnings when certain compile flags are
    enabled. By including the header files as system headers,
    the compiler knows that it doesn't need to generate these
    warnings since they are coming from (third-party) system
    headers
  * Add 'runner' option to ament_add_gmock / nose (#177 <https://github.com/ament/ament_cmake/issues/177>)
    * Add 'runner' option to ament_add_gmock
    * Give ament_add_nose ability to specify a different runner, too
  * Contributors: Peter Baughman, Shane Loretz, jpsamper2009

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.7.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.7.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.7.1-2noble) noble; urgency=high

  * Fix unused-arg check in ament_cmake packages: (#167 <https://github.com/ament/ament_cmake/issues/167>)
    Arguments to a macro are not variables, so it's not
    possible to do 'if(ARGN)' to check for arguments;
    however, copying ARGN to a variable works.
  * Contributors: jpsamper2009

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.7.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 07 Apr 2019 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.6.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Nov 2018 23:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.5.1-2noble) noble; urgency=high

  * Add SKIP_TEST flag to ament_add_gmock() (#143 <https://github.com/ament/ament_cmake/issues/143>)
  * Contributors: Andreas Greimel

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.5.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 12 Jun 2018 22:00:00 -0000

ros-jazzy-ament-cmake-gmock (0.4.0-2noble) noble; urgency=high

  * 0.0.3
  * Merge pull request #104 <https://github.com/ament/ament_cmake/issues/104> from ament/googletest
    update to googletest 1.8
  * update to googletest 1.8
  * 0.0.2
  * Merge pull request #94 <https://github.com/ament/ament_cmake/issues/94> from ament/logging
    suppress compiler warnings within gmock/gtest
  * suppress missing-field-initializers warnings
  * prevent adding the gmock subdirectory twice (#91 <https://github.com/ament/ament_cmake/issues/91>)
  * Merge pull request #86 <https://github.com/ament/ament_cmake/issues/86> from ament/remove_include
    remove unnecessary include
  * remove unnecessary include
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * remove trailing spaces from comparisons, obsolete quotes and explicit variable expansion
  * remove obsolete policies
  * require CMake 3.5
  * Merge pull request #54 <https://github.com/ament/ament_cmake/issues/54> from ament/test_working_dir
    support WORKING_DIRECTORY in ament_add_nose_test
  * fix WORKING_DIRECTORY for ament_add_gtest/gmock
  * follow fixes from #52 <https://github.com/ament/ament_cmake/issues/52>
  * Merge pull request #52 <https://github.com/ament/ament_cmake/issues/52> from ament/add_test_append_env_option
    add APPEND_ENV and APPEND_LIBRARY_DIRS options to ament_add_*test macros
  * add APPEND_ENV and APPEND_LIBRARY_DIRS options to ament_add_*test macros
  * Merge pull request #50 <https://github.com/ament/ament_cmake/issues/50> from ament/pass_extra_env_to_tests
    add option to pass extra env to ament_add_*test
  * addressing comments
  * Merge pull request #37 <https://github.com/ament/ament_cmake/issues/37> from ament/test_labels
    add labels to tests
  * add labels to tests
  * Merge pull request #34 <https://github.com/ament/ament_cmake/issues/34> from ament/prevent_gtest_in_cache
    refactor finding GTest / GMock
  * refactor finding GTest / GMock
  * Merge pull request #29 <https://github.com/ament/ament_cmake/issues/29> from ament/suppress_cmp0026
    set cmp0026 to OLD until we can migrate to use $<TARGET_FILE:...>
  * update comment and set the policy in two other places
  * Merge pull request #28 <https://github.com/ament/ament_cmake/issues/28> from ament/gtest_location
    fix location of gtest / gmock executables on Windows
  * add type as extension to test result files
  * fix location of gtest executable on Windows
  * Merge pull request #25 <https://github.com/ament/ament_cmake/issues/25> from ament/use_gmock_vendor
    optionally use gmock_vendor
  * optionally use gtest/gmock_vendor
  * update ament_add_gmock to support SKIP_LINKING_MAIN_LIBRARIES
  * add explicit build type
  * disable debug output
  * add missing copyright / license information, update format of existing license information
  * update quoting of additional ament_add_test() arguments
  * use project(.. NONE)
  * refactor several low-level packages into ament_cmake_core (environment, environment_hooks, index, package_templates, symlink_install)
  * invert dependency between ament_cmake_environment and ament_cmake_environment_hooks, add dependency on ament_cmake_environment
  * deal with CMake double expansion
  * update cmake code style
  * add ament_cmake_gmock
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


